Unused IP button does not work anymore
Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Web Interface   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2510

  

Description

Something on the JavaScript side perhaps, because when I click it, I don't see any request being sent to Foreman. Chrome stable.

Nitpick: The "Error generating IP: Not Found" error is being inserted in the field itself on error (e.g. proxy is not reachable). This is not

only nice from the UX standpoint, but when you try to create new host with proxy unavaiable and you don't even open the interface

form and submit, the IP is kept set to this string, which causes validation error. We should totally leave IP field empty on errors

showing this message in a bubble or something.

Related issues:

Related to Foreman - Bug #9427: Using "Suggest new" IP button from New Host p... Closed 02/18/2015

Related to Foreman - Bug #11596: Error generating IP: Not Found shoud not be ... Closed 08/28/2015

Associated revisions

Revision 36746b82 - 07/02/2015 07:11 AM - Tomáš Strachota

Fixes #10976 - Suggest new ip button does not work

The jQuery selector for finding subnet id didn't find the correct field.

Revision 33fde52b - 07/02/2015 03:00 PM - Tomáš Strachota

Fixes #10976 - Suggest new ip button does not work

The jQuery selector for finding subnet id didn't find the correct field.

(cherry picked from commit 36746b82896b15d9cdd8eeb0b8b0d0c322aa4cb8)

History

#1 - 07/02/2015 03:56 AM - Lukas Zapletal

- Related to Bug #9427: Using "Suggest new" IP button from New Host pages is a no-op on webui added

#2 - 07/02/2015 03:59 AM - Shimon Shtein

- Assignee set to Shimon Shtein

#3 - 07/02/2015 04:04 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#4 - 07/02/2015 04:23 AM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee changed from Shimon Shtein to Tomáš Strachota

#5 - 07/02/2015 04:27 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2510 added

- Pull request deleted ()

#6 - 07/02/2015 08:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 36746b82896b15d9cdd8eeb0b8b0d0c322aa4cb8.

#7 - 08/28/2015 03:23 AM - Lukas Zapletal

- Related to Bug #11596: Error generating IP: Not Found shoud not be in the IP field added
